From fdfefb82c8edc43c964682a3277346a5dc049ada Mon Sep 17 00:00:00 2001
From: Raymond Yau <superquad.vortex2@gmail.com>
Date: Sat, 5 Nov 2011 13:04:04 +0800
Subject: [PATCH] ALSA - HDA - fix is_jack_detectable

- Fix is_jack_detectable which use Misc bit 0 to indicated that jack has
  no presence detect capability.

Signed-off-by: Raymond Yau <superquad.vortex2@gmail.com>

diff --git a/sound/pci/hda/hda_local.h b/sound/pci/hda/hda_local.h
index 79f49e2..d8617b7 100644
--- a/sound/pci/hda/hda_local.h
+++ b/sound/pci/hda/hda_local.h
@@ -511,8 +511,8 @@ int snd_hda_jack_detect(struct hda_codec *codec, hda_nid_t nid);
 static inline bool is_jack_detectable(struct hda_codec *codec, hda_nid_t nid)
 {
 	return (snd_hda_query_pin_caps(codec, nid) & AC_PINCAP_PRES_DETECT) &&
-		!(get_defcfg_misc(snd_hda_codec_get_pincfg(codec, nid) &
-		  AC_DEFCFG_MISC_NO_PRESENCE)) &&
+		!(get_defcfg_misc(snd_hda_codec_get_pincfg(codec, nid)) &
+		  AC_DEFCFG_MISC_NO_PRESENCE) &&
 		(get_wcaps(codec, nid) & AC_WCAP_UNSOL_CAP);
 }
 
-- 
1.6.0.6

